Index: /branches/feature-module-update/data/class/helper/SC_Helper_Mail.php
===================================================================
--- /branches/feature-module-update/data/class/helper/SC_Helper_Mail.php	(revision 16582)
+++ /branches/feature-module-update/data/class/helper/SC_Helper_Mail.php	(revision 16588)
@@ -213,4 +213,5 @@
         $sqlval['template_id'] = $template_id;
         $sqlval['send_date'] = "Now()";
+        if (!isset($_SESSION['member_id'])) $_SESSION['member_id'] = "";
         if($_SESSION['member_id'] != "") {
             $sqlval['creator_id'] = $_SESSION['member_id'];
@@ -224,13 +225,9 @@
     }
 
-    /* 会員のメルマガ登録があるかどうかのチェック(仮会員を含まない) */
+    /* 会員登録があるかどうかのチェック(仮会員を含まない) */
     function sfCheckCustomerMailMaga($email) {
         $col = "email, mailmaga_flg, customer_id";
         $from = "dtb_customer";
-        /*
-         * FIXME 会員を削除しても登録済と扱われてしまう？
-         */
-        //$where = "email = ? AND status = 2";
-        $where = "email = ? AND status = 2 AND del_flg = 0";
+        $where = "(email = ? OR email_mobile = ?) AND status = 2 AND del_flg = 0";
         $objQuery = new SC_Query();
         $arrRet = $objQuery->select($col, $from, $where, array($email));
Index: /branches/feature-module-update/data/class/pages/shopping/LC_Page_Shopping.php
===================================================================
--- /branches/feature-module-update/data/class/pages/shopping/LC_Page_Shopping.php	(revision 16582)
+++ /branches/feature-module-update/data/class/pages/shopping/LC_Page_Shopping.php	(revision 16588)
@@ -428,10 +428,4 @@
         $objErr->doFunc(array("メールアドレス", "メールアドレス（確認）", "order_email", "order_email_check"), array("EQUAL_CHECK"));
 
-        // すでにメルマガテーブルに会員としてメールアドレスが登録されている場合
-        $helperMail = new SC_Helper_Mail_Ex();
-        if($helperMail->sfCheckCustomerMailMaga($arrRet['order_email'])) {
-            $objErr->arrErr['order_email'] = "このメールアドレスはすでに登録されています。<br />";
-        }
-
         return $objErr->arrErr;
     }
Index: /branches/feature-module-update/data/class/pages/regist/LC_Page_Regist.php
===================================================================
--- /branches/feature-module-update/data/class/pages/regist/LC_Page_Regist.php	(revision 16582)
+++ /branches/feature-module-update/data/class/pages/regist/LC_Page_Regist.php	(revision 16588)
@@ -69,5 +69,6 @@
 
         // キャンペーンからの登録の場合の処理
-        if($_GET["cp"] != "") {
+
+        if(!empty($_GET["cp"])) {
             $etc_val = array("cp" => $_GET['cp']);
         }
@@ -79,8 +80,5 @@
             $this->arrErr = $this->lfErrorCheck($_GET);
             if ($this->arrErr) {
-                $this->tpl_mainpage = 'regist/error.tpl';
-                $this->tpl_css = "/css/layout/regist/error.css";
-                $this->tpl_title = 'エラー';
-
+                SC_Utils_Ex::sfDispSiteError(FREE_ERROR_MSG, "", true, $this->arrErr["id"]);
             } else {
                 $registSecretKey = $this->lfRegistData($_GET);			//本会員登録（フラグ変更）
@@ -96,9 +94,5 @@
         //--　それ以外のアクセスは無効とする
         } else {
-            $this->arrErr["id"] = "無効なアクセスです。";
-            $this->tpl_mainpage = 'regist/error.tpl';
-            $this->tpl_css = "/css/layout/regist/error.css";
-            $this->tpl_title = 'エラー';
-
+            SC_Utils_Ex::sfDispSiteError(FREE_ERROR_MSG, "", true, "無効なアクセスです。");
         }
 
@@ -156,7 +150,5 @@
             $this->arrErr["id"] = "無効なアクセスです。";
             $this->tpl_mainpage = 'regist/error.tpl';
-            $this->tpl_css = "/css/layout/regist/error.css";
             $this->tpl_title = 'エラー';
-
         }
 
@@ -259,5 +251,5 @@
 
             if (! is_numeric($result)) {
-                $objErr->arrErr["id"] .= "※ 既に会員登録が完了しているか、無効なURLです。<br>";
+                $objErr->arrErr["id"] = "※ 既に会員登録が完了しているか、無効なURLです。<br>";
                 return $objErr->arrErr;
 
@@ -288,12 +280,12 @@
 
         $objMail->setItem(
-                              ''                                //　宛先
-                            , $subject                          //　サブジェクト
-                            , $toCustomerMail                   //　本文
-                            , $CONF["email03"]                  //　配送元アドレス
-                            , $CONF["shop_name"]                //　配送元　名前
-                            , $CONF["email03"]                  //　reply_to
-                            , $CONF["email04"]                  //　return_path
-                            , $CONF["email04"]                  //  Errors_to
+                              ''                                // 宛先
+                            , $subject                          // サブジェクト
+                            , $toCustomerMail                   // 本文
+                            , $this->CONF["email03"]            // 配送元アドレス
+                            , $this->CONF["shop_name"]          // 配送元 名前
+                            , $this->CONF["email03"]            // reply_to
+                            , $this->CONF["email04"]            // return_path
+                            , $this->CONF["email04"]            // Errors_to
                         );
         // 宛先の設定
Index: anches/feature-module-update/data/Smarty/templates/default/regist/error.tpl
===================================================================
--- /branches/feature-module-update/data/Smarty/templates/default/regist/error.tpl	(revision 16583)
+++ 	(revision )
@@ -1,50 +1,0 @@
-<!--{*
- * This file is part of EC-CUBE
- *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
- *
- * http://www.lockon.co.jp/
- *
- * This program is free software; you can redistribute it and/or
- * modify it under the terms of the GNU General Public License
- * as published by the Free Software Foundation; either version 2
- * of the License, or (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
- *}-->
-<!--▼CONTENTS-->
-<table width="" cellspacing="0" cellpadding="0" summary=" ">
-	<tr>
-		<td bgcolor="#ffffff" align="left"> 
-		<!--▼MAIN CONTENTS-->
-		<table cellspacing="0" cellpadding="0" summary=" " id="containerfull">
-			<tr><td height="20"></td></tr>
-			<tr valign="top">
-				<!--▼CONTENTS-->
-				<td>
-				<div id="maintitle"><img src="<!--{$TPL_DIR}-->img/regist/title.jpg" width="700" height="40" alt="本会員登録" /></div>
-				
-				<form name="form1" method="post" action="./complete.php">
-				<table cellspacing="1" cellpadding="8" summary=" " id="frame">
-					<tr>
-						<td class="fs12" id="left"><span class="red"><!--{$arrErr.id}--></span></td>
-					</tr>
-				</table>
-				<div id="button"><a href="javascript:history.back()" onmouseOver="chgImg('../img/button/back_on.gif','back');" onmouseOut="chgImg('../img/button/back.gif','back');"><img src="<!--{$TPL_DIR}-->img/button/back.gif" width="150" height="30" alt="戻る" name="back" id="back" /></a></div>
-				</form>
-				</td>
-				<!--▲ONTENTS-->	
-			</tr>
-		</table>
-		<!--▲MAIN CONTENTS-->
-		</td>
-	</tr>
-</table>
-<!--▲CONTENTS-->