Index: anches/feature-module-update/data/downloads/module/ebis_tag_text.tpl
===================================================================
--- /branches/feature-module-update/data/downloads/module/ebis_tag_text.tpl	(revision 15079)
+++ 	(revision )
@@ -1,14 +1,0 @@
-<!-- EBiS tag version2.00 start -->
-<script type="text/javascript">
-if ( location.protocol == 'http:' ){ 
-	strServerName = 'http://daikoku.ebis.ne.jp'; 
-} else { 
-	strServerName = 'https://secure2.ebis.ne.jp/ver3';
-}
-cid = '<!--{$arrEbis.cid}-->'; pid = '<!--{$arrEbis.pid}-->'; m1id='<!--{$arrEbis.m1id}-->'; a1id='<!--{$arrEbis.a1id}-->'; o1id='<!--{$arrEbis.o1id}-->'; o2id='<!--{$arrEbis.o2id}-->'; o3id='<!--{$arrEbis.o3id}-->'; o4id='<!--{$arrEbis.o4id}-->'; o5id='<!--{$arrEbis.o5id}-->';
-document.write("<scr" + "ipt type=\"text\/javascript\" src=\"" + strServerName + "\/ebis_tag.php?cid=" + cid + "&pid=" + pid + "&m1id=" + m1id + "&a1id=" + a1id + "&o1id=" + o1id + "&o2id=" + o2id + "&o3id=" + o3id + "&o4id=" + o4id + "&o5id=" + o5id + "\"><\/scr" + "ipt>");
-</script>
-<noscript>
-<img src="https://secure2.ebis.ne.jp/ver3/log.php?argument=<!--{$smarty.const.EBIS_CID}-->&ebisPageID=<!--{$arrEbis.pid}-->" width="0" height="0">
-</noscript>
-<!-- EBiS tag end -->
Index: anches/feature-module-update/data/downloads/module/affiliate.tpl
===================================================================
--- /branches/feature-module-update/data/downloads/module/affiliate.tpl	(revision 15079)
+++ 	(revision )
@@ -1,144 +1,0 @@
-<!--{*
-/*
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
- *
- * http://www.lockon.co.jp/
- */
-*}-->
-<!--　-->
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
-
-<head>
-<meta http-equiv="content-type" content="application/xhtml+xml; charset=<!--{$smarty.const.CHAR_CODE}-->" />
-<meta http-equiv="content-script-type" content="text/javascript" />
-<meta http-equiv="content-style-type" content="text/css" />
-<link rel="stylesheet" href="<!--{$smarty.const.URL_DIR}-->admin/css/contents.css" type="text/css" media="all" />
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/css.js"></script>
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/navi.js"></script>
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/win_op.js"></script>
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/site.js"></script>
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/admin.js"></script>
-<!--{include file='css/contents.tpl'}-->
-<title><!--{$tpl_subtitle}--></title>
-<script type="text/javascript">
-<!--
-self.moveTo(20,20);self.focus();
-//-->
-</script>
-</head>
-
-<body bgcolor="#ffffff" text="#666666" link="#007bb7" vlink="#007bb7" alink="#cc0000" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" onload="<!--{$tpl_onload}-->">
-<noscript>
-<link rel="stylesheet" href="<!--{$smarty.const.URL_DIR}-->admin/css/common.css" type="text/css" />
-</noscript>
-
-<div align="center">
-<!--★★メインコンテンツ★★-->
-<table width="500" border="0" cellspacing="0" cellpadding="0" summary=" ">
-<form name="form1" id="form1" method="post" action="<!--{$smarty.server.REQUEST_URI|escape}-->">
-<input type="hidden" name="mode" value="edit">
-	<tr valign="top">
-		<td class="mainbg">
-			<!--▼登録テーブルここから-->
-			<table width="500" border="0" cellspacing="0" cellpadding="0" summary=" ">
-				<!--メインエリア-->
-				<tr>
-					<td align="center">
-						<table width="470" border="0" cellspacing="0" cellpadding="0" summary=" ">
-							<tr><td height="14"></td></tr>
-							<tr>
-								<td colspan="3"><img src="<!--{$smarty.const.URL_DIR}-->img/contents/main_top.jpg" width="470" height="14" alt=""></td>
-							</tr>
-							<tr>
-								<td background="<!--{$smarty.const.URL_DIR}-->img/contents/main_left.jpg"><img src="<!--{$smarty.const.URL_DIR}-->img/common/_.gif" width="14" height="1" alt=""></td>
-								<td bgcolor="#cccccc">
-									
-									<table width="440" border="0" cellspacing="0" cellpadding="0" summary=" ">
-										<tr>
-											<td colspan="3"><img src="<!--{$smarty.const.URL_DIR}-->img/contents/contents_title_top.gif" width="440" height="7" alt=""></td>
-										</tr>
-										<tr>
-											<td background="<!--{$smarty.const.URL_DIR}-->img/contents/contents_title_left_bg.gif"><img src="<!--{$smarty.const.URL_DIR}-->img/contents/contents_title_left.gif" width="22" height="12" alt=""></td>
-											<td bgcolor="#636469" width="400" class="fs14n"><span class="white"><!--コンテンツタイトル--><!--{$tpl_subtitle}--></span></td>
-											<td background="<!--{$smarty.const.URL_DIR}-->img/contents/contents_title_right_bg.gif"><img src="<!--{$smarty.const.URL_DIR}-->img/common/_.gif" width="18" height="1" alt=""></td>
-										</tr>
-										<tr>
-											<td colspan="3"><img src="<!--{$smarty.const.URL_DIR}-->img/contents/contents_title_bottom.gif" width="440" height="7" alt=""></td>
-										</tr>
-										<tr>
-											<td colspan="3"><img src="<!--{$smarty.const.URL_DIR}-->img/contents/main_bar.jpg" width="440" height="10" alt=""></td>
-										</tr>
-									</table>
-									
-									<table width="440" border="0" cellspacing="1" cellpadding="8" summary=" ">
-										<tr class="fs12n">
-											<td width="" bgcolor="#f3f3f3">ページ<span class="red">※</span></td>
-											<td width="337" bgcolor="#ffffff">
-											<!--{assign var=key value="conv_page"}-->
-											<span class="red12"><!--{$arrErr[$key]}--></span>
-											<select name="<!--{$key}-->" style="<!--{$arrErr[$key]|sfGetErrorColor}-->" onchange="document.form1['mode'].value = 'select'; document.form1.submit();">
-											<option value="">選択してください</option>
-											<!--{html_options options=$arrConversionPage selected=$arrForm[$key].value}-->
-											</select>
-											</td>
-										</tr>	
-										<tr class="fs12n">
-											<td width="90" bgcolor="#f3f3f3">タグ<span class="red">※</span></td>
-											<td width="337" bgcolor="#ffffff">
-											<!--{assign var=key value="aff_tag"}-->
-											<span class="red12"><!--{$arrErr[$key]}--></span>
-											<textarea name="<!--{$key}-->" maxlength="<!--{$arrForm[$key].length}-->" cols="40" rows="8" class="area40" style="<!--{$arrErr[$key]|sfGetErrorColor}-->"><!--{$arrForm[$key].value|escape}--></textarea>
-											</br><span class="red"> （上限<!--{$arrForm[$key].length}-->文字）</span>
-											</td>
-										</tr>
-										<tr class="fs12n">
-											<td colspan="2">以下の置き換え文字で動的データの表示が可能です。<br>受注番号：[[order_id]]<br>購入合計：[[total]]</br></td>
-										</tr>																			
-									</table>
-
-									<table width="440" border="0" cellspacing="0" cellpadding="0" summary=" ">
-										<tr>
-											<td bgcolor="#cccccc"><img src="<!--{$smarty.const.URL_DIR}-->img/common/_.gif" width="1" height="5" alt=""></td>
-											<td><img src="<!--{$smarty.const.URL_DIR}-->img/contents/tbl_top.gif" width="438" height="7" alt=""></td>
-											<td bgcolor="#cccccc"><img src="<!--{$smarty.const.URL_DIR}-->img/common/_.gif" width="1" height="5" alt=""></td>
-										</tr>
-										<tr>
-											<td bgcolor="#cccccc"><img src="<!--{$smarty.const.URL_DIR}-->img/common/_.gif" width="1" height="10" alt=""></td>
-											<td bgcolor="#e9e7de" align="center">
-											<table border="0" cellspacing="0" cellpadding="0" summary=" ">
-												<tr>
-													<td><input type="image" onMouseover="chgImgImageSubmit('<!--{$smarty.const.URL_DIR}-->img/contents/btn_regist_on.jpg',this)" onMouseout="chgImgImageSubmit('<!--{$smarty.const.URL_DIR}-->img/contents/btn_regist.jpg',this)" src="<!--{$smarty.const.URL_DIR}-->img/contents/btn_regist.jpg" width="123" height="24" alt="この内容で登録する" border="0" name="subm" ></td>
-												</tr>
-											</table>
-											</td>
-											<td bgcolor="#cccccc"><img src="<!--{$smarty.const.URL_DIR}-->img/common/_.gif" width="1" height="10" alt=""></td>
-										</tr>
-										<tr>
-											<td colspan="3"><img src="<!--{$smarty.const.URL_DIR}-->img/contents/tbl_bottom.gif" width="440" height="8" alt=""></td>
-										</tr>
-									</table>
-								</td>
-								<td background="<!--{$smarty.const.URL_DIR}-->img/contents/main_right.jpg"><img src="<!--{$smarty.const.URL_DIR}-->img/common/_.gif" width="14" height="1" alt=""></td>
-							</tr>
-							<tr>
-								<td colspan="3"><img src="<!--{$smarty.const.URL_DIR}-->img/contents/main_bottom.jpg" width="470" height="14" alt=""></td>
-							</tr>
-							<tr><td height="30"></td></tr>
-						</table>
-					</td>
-				</tr>
-				<!--メインエリア-->
-			</table>
-			<!--▲登録テーブルここまで-->
-		</td>
-	</tr>
-</form>
-</table>
-<!--★★メインコンテンツ★★-->
-</div>
-
-</body>
-</html>
-
-
Index: anches/feature-module-update/data/downloads/module/ebis_tag.php
===================================================================
--- /branches/feature-module-update/data/downloads/module/ebis_tag.php	(revision 15532)
+++ 	(revision )
@@ -1,65 +1,0 @@
-<?php
-/**
- * 
- * @copyright	2000-2007 LOCKON CO.,LTD. All Rights Reserved.
- * @version	CVS: $Id$
- * @link		http://www.lockon.co.jp/
- *
- */
-
-require_once("../../require.php");
-
-//ページ管理クラス
-class LC_Page {
-	//コンストラクタ
-	function LC_Page() {
-		//メインテンプレートの指定
-		$this->tpl_mainpage = MODULE_PATH . 'ebis_tag.tpl';
-		$this->tpl_subtitle = 'EBiSタグ埋め込み機能';
-	}
-}
-$objPage = new LC_Page();
-$objView = new SC_AdminView();
-
-// 認証確認
-$objSess = new SC_Session();
-sfIsSuccess($objSess);
-
-// パラメータ管理クラス
-$objFormParam = new SC_FormParam();
-$objFormParam = lfInitParam($objFormParam);
-// POST値の取得
-$objFormParam->setParam($_POST);
-
-switch($_POST['mode']) {
-case 'edit':
-	// 入力エラー判定
-	$objPage->arrErr = $objFormParam->checkError();
-	if(count($objPage->arrErr) == 0) {
-		$arrRet = $objFormParam->getHashArray();
-		$sqlval['sub_data'] = serialize($arrRet);
-		$objQuery = new SC_Query();
-		$objQuery->update("dtb_module", $sqlval, "module_id = ?", array(EBIS_TAG_MID));
-		// javascript実行
-		$objPage->tpl_onload = "window.close();";
-	}
-	break;
-default:
-	$arrRet = $objQuery->select("sub_data", "dtb_module", "module_id = ?", array(EBIS_TAG_MID));
-	$arrSubData = unserialize($arrRet[0]['sub_data']);
-	$objFormParam->setParam($arrSubData);
-	break;
-}
-
-$objPage->arrForm = $objFormParam->getFormParamList();
-$objView->assignobj($objPage);		//変数をテンプレートにアサインする
-$objView->display($objPage->tpl_mainpage);		//テンプレートの出力
-//-------------------------------------------------------------------------------------------------------
-/* パラメータ情報の初期化 */
-function lfInitParam($objFormParam) {
-	$objFormParam->addParam("ユーザID", "user", STEXT_LEN, "KVa", array("EXIST_CHECK", "MAX_LENGTH_CHECK"));
-	$objFormParam->addParam("パスワード", "pass", STEXT_LEN, "KVa", array("EXIST_CHECK", "MAX_LENGTH_CHECK"));
-	$objFormParam->addParam("タグ識別ID", "cid", STEXT_LEN, "KVa", array("EXIST_CHECK", "MAX_LENGTH_CHECK"));
-	return $objFormParam;
-}
-?>
Index: anches/feature-module-update/data/downloads/module/module.txt
===================================================================
--- /branches/feature-module-update/data/downloads/module/module.txt	(revision 15079)
+++ 	(revision )
@@ -1,4 +1,0 @@
-"1", "EBiS¥¿¥°Ëä¤á¹þ¤ß", "", "1.0", "¥¢¥¯¥»¥¹²òÀÏLOG-EBiS¤Î¥¿¥°¤òËä¤á¹þ¤ß¤Þ¤¹", "ebis_tag.php", "ebis_tag.php", "", "", "ebis_tag.tpl|ebis_tag_text.tpl", "0", "", "2006-10-16 00:00:00","0.9.9","500","330"
-"3", "¥¢¥Õ¥£¥ê¥¨¥¤¥È¥¿¥°Ëä¤á¹þ¤ß", "", "1.21", "²ñ°÷ÅÐÏ¿´°Î»¡¢¾¦ÉÊ¹ØÆþ´°Î»¥Ú¡¼¥¸¤Ë¥¿¥°¤òËä¤á¹þ¤ß¤Þ¤¹", "affiliate.php", "affiliate.php", "", "", "affiliate.tpl", "0", "", "2006-10-16 00:00:00","1.0.1","500","460"
-"4", "¥¤¥×¥·¥í¥ó·èºÑ¥â¥¸¥å¡¼¥ë", "", "1.2", "¥¤¥×¥·¥í¥ó·èºÑ¥â¥¸¥å¡¼¥ë¤ò»ÈÍÑ¤¹¤ë¤³¤È¤¬¤Ç¤­¤Þ¤¹¡£(¤³¤Î¥â¥¸¥å¡¼¥ë¤ò»ÈÍÑ¤¹¤ë¤Ë¤Ï<a href="#" onClick="window.open('http://www.rapidsite.jp/product/support/shop/epsilon.html'); return false;" >¥¤¥×¥·¥í¥ó</a>¤Ë·ÀÌó¤¹¤ëÉ¬Í×¤¬¤¢¤ê¤Þ¤¹¡£)", "mdl_epsilon/mdl_epsilon.php", "mdl_epsilon/mdl_epsilon.php", "", "", "mdl_epsilon/mdl_epsilon.tpl|mdl_epsilon/card.php|mdl_epsilon/convenience.php|mdl_epsilon/convenience.tpl|mdl_epsilon/mdl_epsilon.inc", "0", "", "2006-12-19 00:00:00","1.0.2","500","460"
-"5", "¥ë¥ß¡¼¥º·èºÑ¥â¥¸¥å¡¼¥ë", "", "1.0", "¥ë¥ß¡¼¥º·èºÑ¥â¥¸¥å¡¼¥ë¤ò»ÈÍÑ¤¹¤ë¤³¤È¤¬¤Ç¤­¤Þ¤¹¡£(¤³¤Î¥â¥¸¥å¡¼¥ë¤ò»ÈÍÑ¤¹¤ë¤Ë¤Ï<a href="#" onClick="window.open('http://www.remise.jp/'); return false;" >¥ë¥ß¡¼¥º</a>¤Ë·ÀÌó¤¹¤ëÉ¬Í×¤¬¤¢¤ê¤Þ¤¹¡£)", "mdl_remise/mdl_remise.php", "mdl_remise/mdl_remise.php", "", "", "mdl_remise/mdl_remise.tpl|mdl_remise/card.php|mdl_remise/convenience.php|mdl_remise/card.tpl|mdl_remise/convenience.tpl|mdl_remise/mdl_remise.inc", "0", "", "2007-03-15 00:00:00","1.2.0-beta","500","600"
Index: anches/feature-module-update/data/downloads/module/affiliate.php
===================================================================
--- /branches/feature-module-update/data/downloads/module/affiliate.php	(revision 15532)
+++ 	(revision )
@@ -1,85 +1,0 @@
-<?php
-/**
- * 
- * @copyright	2000-2007 LOCKON CO.,LTD. All Rights Reserved.
- * @version	CVS: $Id$
- * @link		http://www.lockon.co.jp/
- *
- */
-
- 
- 
-require_once("./require.php");
-
-$arrConversionPage = array(
-	1 => '商品購入完了画面',
-	2 => '会員登録完了画面'
-);
-
-//ページ管理クラス
-class LC_Page {
-	//コンストラクタ
-	function LC_Page() {
-		//メインテンプレートの指定
-		$this->tpl_mainpage = MODULE_PATH . 'affiliate.tpl';
-		$this->tpl_subtitle = 'アフィリエイトタグ埋め込み';
-		global $arrConversionPage;
-		$this->arrConversionPage = $arrConversionPage;
-	}
-}
-$objPage = new LC_Page();
-$objView = new SC_AdminView();
-
-// 認証確認
-$objSess = new SC_Session();
-sfIsSuccess($objSess);
-
-// パラメータ管理クラス
-$objFormParam = new SC_FormParam();
-$objFormParam = lfInitParam($objFormParam);
-// POST値の取得
-$objFormParam->setParam($_POST);
-
-switch($_POST['mode']) {
-case 'edit':
-	// 入力エラー判定
-	$objPage->arrErr = $objFormParam->checkError();
-	if(count($objPage->arrErr) == 0) {
-		$arrRet = $objQuery->select("sub_data", "dtb_module", "module_id = ?", array(AFF_TAG_MID));
-		$arrSubData = unserialize($arrRet[0]['sub_data']);
-		$arrRet = $objFormParam->getHashArray();		
-		$arrSubData[$arrRet['conv_page']] = $arrRet['aff_tag'];
-		$sqlval['sub_data'] = serialize($arrSubData);
-		$objQuery = new SC_Query();
-		$objQuery->update("dtb_module", $sqlval, "module_id = ?", array(AFF_TAG_MID));
-		// javascript実行
-		$objPage->tpl_onload = "window.close();";
-	}
-	break;
-// コンバージョンページの選択
-case 'select':
-	if(is_numeric($_POST['conv_page'])) {
-		// sub_dataよりタグ情報を読み込む
-		$conv_page = $_POST['conv_page'];
-		$arrRet = $objQuery->select("sub_data", "dtb_module", "module_id = ?", array(AFF_TAG_MID));
-		$arrSubData = unserialize($arrRet[0]['sub_data']);
-		$aff_tag = $arrSubData[$conv_page];
-		$objFormParam->setValue('conv_page', $conv_page);
-		$objFormParam->setValue('aff_tag', $aff_tag);		
-	}
-	break;
-default:
-	break;
-}
-
-$objPage->arrForm = $objFormParam->getFormParamList();
-$objView->assignobj($objPage);					//変数をテンプレートにアサインする
-$objView->display($objPage->tpl_mainpage);		//テンプレートの出力
-//-------------------------------------------------------------------------------------------------------
-/* パラメータ情報の初期化 */
-function lfInitParam($objFormParam) {
-	$objFormParam->addParam("コンバージョンページ", "conv_page", STEXT_LEN, "KVa", array("EXIST_CHECK", "MAX_LENGTH_CHECK"));
-	$objFormParam->addParam("アフィリエイトタグ", "aff_tag", MTEXT_LEN, "KVa", array("EXIST_CHECK", "MAX_LENGTH_CHECK"));	
-	return $objFormParam;
-}
-?>
Index: anches/feature-module-update/data/downloads/module/ebis_tag.tpl
===================================================================
--- /branches/feature-module-update/data/downloads/module/ebis_tag.tpl	(revision 15079)
+++ 	(revision )
@@ -1,142 +1,0 @@
-<!--{*
-/*
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
- *
- * http://www.lockon.co.jp/
- */
-*}-->
-<!--　-->
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
-<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="ja" lang="ja">
-
-<head>
-<meta http-equiv="content-type" content="application/xhtml+xml; charset=<!--{$smarty.const.CHAR_CODE}-->" />
-<meta http-equiv="content-script-type" content="text/javascript" />
-<meta http-equiv="content-style-type" content="text/css" />
-<link rel="stylesheet" href="/ec-cube/admin/css/contents.css" type="text/css" media="all" />
-<script type="text/javascript" src="/ec-cube/js/css.js"></script>
-<script type="text/javascript" src="/ec-cube/js/navi.js"></script>
-<script type="text/javascript" src="/ec-cube/js/win_op.js"></script>
-<script type="text/javascript" src="/ec-cube/js/site.js"></script>
-<script type="text/javascript" src="/ec-cube/js/admin.js"></script>
-<!--{include file='css/contents.tpl'}-->
-<title><!--{$tpl_subtitle}--></title>
-<script type="text/javascript">
-<!--
-self.moveTo(20,20);self.focus();
-//-->
-</script>
-</head>
-
-<body bgcolor="#ffffff" text="#666666" link="#007bb7" vlink="#007bb7" alink="#cc0000" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" onload="<!--{$tpl_onload}-->">
-<noscript>
-<link rel="stylesheet" href="/ec-cube/admin/css/common.css" type="text/css" />
-</noscript>
-
-<div align="center">
-<!--★★メインコンテンツ★★-->
-<table width="500" border="0" cellspacing="0" cellpadding="0" summary=" ">
-<form name="form1" id="form1" method="post" action="<!--{$smarty.server.REQUEST_URI|escape}-->">
-<input type="hidden" name="mode" value="edit">
-	<tr valign="top">
-		<td class="mainbg">
-			<!--▼登録テーブルここから-->
-			<table width="500" border="0" cellspacing="0" cellpadding="0" summary=" ">
-				<!--メインエリア-->
-				<tr>
-					<td align="center">
-						<table width="470" border="0" cellspacing="0" cellpadding="0" summary=" ">
-							<tr><td height="14"></td></tr>
-							<tr>
-								<td colspan="3"><img src="/ec-cube/img/contents/main_top.jpg" width="470" height="14" alt=""></td>
-							</tr>
-							<tr>
-								<td background="/ec-cube/img/contents/main_left.jpg"><img src="/ec-cube/img/common/_.gif" width="14" height="1" alt=""></td>
-								<td bgcolor="#cccccc">
-									
-									<table width="440" border="0" cellspacing="0" cellpadding="0" summary=" ">
-										<tr>
-											<td colspan="3"><img src="/ec-cube/img/contents/contents_title_top.gif" width="440" height="7" alt=""></td>
-										</tr>
-										<tr>
-											<td background="/ec-cube/img/contents/contents_title_left_bg.gif"><img src="/ec-cube/img/contents/contents_title_left.gif" width="22" height="12" alt=""></td>
-											<td bgcolor="#636469" width="400" class="fs14n"><span class="white"><!--コンテンツタイトル--><!--{$tpl_subtitle}--></span></td>
-											<td background="/ec-cube/img/contents/contents_title_right_bg.gif"><img src="/ec-cube/img/common/_.gif" width="18" height="1" alt=""></td>
-										</tr>
-										<tr>
-											<td colspan="3"><img src="/ec-cube/img/contents/contents_title_bottom.gif" width="440" height="7" alt=""></td>
-										</tr>
-										<tr>
-											<td colspan="3"><img src="/ec-cube/img/contents/main_bar.jpg" width="440" height="10" alt=""></td>
-										</tr>
-									</table>
-									
-									<table width="440" border="0" cellspacing="1" cellpadding="8" summary=" ">
-										<tr class="fs12n">
-											<td width="90" bgcolor="#f3f3f3">ユーザID<span class="red">※</span></td>
-											<td width="337" bgcolor="#ffffff">
-											<span class="red"><!--{$arrErr.user}--></span>
-											<input type="text" name="user" size="30" style="<!--{$arrErr.user|sfGetErrorColor}-->" value="<!--{$arrForm.user.value}-->" class="box30" maxlength="50"/>
-											</td>
-										</tr>	
-										<tr class="fs12n">
-											<td width="90" bgcolor="#f3f3f3">パスワード<span class="red">※</span></td>
-											<td width="337" bgcolor="#ffffff">
-											<span class="red"><!--{$arrErr.pass}--></span>
-											<input type="password" name="pass" size="30" style="<!--{$arrErr.pass|sfGetErrorColor}-->" value="<!--{$arrForm.pass.value}-->" class="box30" maxlength="50"/>
-											</td>
-										</tr>	
-										<tr class="fs12n">
-											<td width="90" bgcolor="#f3f3f3">タグ識別ID<span class="red">※</span></td>
-											<td width="337" bgcolor="#ffffff">
-											<span class="red"><!--{$arrErr.cid}--></span>
-											<input type="text" name="cid" size="30" style="<!--{$arrErr.cid|sfGetErrorColor}-->" value="<!--{$arrForm.cid.value}-->" class="box30" maxlength="50"/>
-											</td>
-										</tr>										
-									</table>
-
-									<table width="440" border="0" cellspacing="0" cellpadding="0" summary=" ">
-										<tr>
-											<td bgcolor="#cccccc"><img src="/ec-cube/img/common/_.gif" width="1" height="5" alt=""></td>
-											<td><img src="/ec-cube/img/contents/tbl_top.gif" width="438" height="7" alt=""></td>
-											<td bgcolor="#cccccc"><img src="/ec-cube/img/common/_.gif" width="1" height="5" alt=""></td>
-										</tr>
-										<tr>
-											<td bgcolor="#cccccc"><img src="/ec-cube/img/common/_.gif" width="1" height="10" alt=""></td>
-											<td bgcolor="#e9e7de" align="center">
-											<table border="0" cellspacing="0" cellpadding="0" summary=" ">
-												<tr>
-													<td><input type="image" onMouseover="chgImgImageSubmit('/ec-cube/img/contents/btn_regist_on.jpg',this)" onMouseout="chgImgImageSubmit('/ec-cube/img/contents/btn_regist.jpg',this)" src="/ec-cube/img/contents/btn_regist.jpg" width="123" height="24" alt="この内容で登録する" border="0" name="subm" ></td>
-												</tr>
-											</table>
-											</td>
-											<td bgcolor="#cccccc"><img src="/ec-cube/img/common/_.gif" width="1" height="10" alt=""></td>
-										</tr>
-										<tr>
-											<td colspan="3"><img src="/ec-cube/img/contents/tbl_bottom.gif" width="440" height="8" alt=""></td>
-										</tr>
-									</table>
-								</td>
-								<td background="/ec-cube/img/contents/main_right.jpg"><img src="/ec-cube/img/common/_.gif" width="14" height="1" alt=""></td>
-							</tr>
-							<tr>
-								<td colspan="3"><img src="/ec-cube/img/contents/main_bottom.jpg" width="470" height="14" alt=""></td>
-							</tr>
-							<tr><td height="30"></td></tr>
-						</table>
-					</td>
-				</tr>
-				<!--メインエリア-->
-			</table>
-			<!--▲登録テーブルここまで-->
-		</td>
-	</tr>
-</form>
-</table>
-<!--★★メインコンテンツ★★-->
-</div>
-
-</body>
-</html>
-
-