Index: /branches/feature-module-update/data/Smarty/templates/default/admin/contents/recomend_search.tpl
===================================================================
--- /branches/feature-module-update/data/Smarty/templates/default/admin/contents/recomend_search.tpl	(revision 16582)
+++ /branches/feature-module-update/data/Smarty/templates/default/admin/contents/recomend_search.tpl	(revision 16821)
@@ -30,10 +30,9 @@
 <meta http-equiv="content-script-type" content="text/javascript" />
 <meta http-equiv="content-style-type" content="text/css" />
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/css.js"></script>
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/navi.js"></script>
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/win_op.js"></script>
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/site.js"></script>
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/admin.js"></script>
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/css.js"></script>
+<script type="text/javascript" src="<!--{$TPL_DIR}-->js/css.js"></script>
+<script type="text/javascript" src="<!--{$TPL_DIR}-->js/navi.js"></script>
+<script type="text/javascript" src="<!--{$TPL_DIR}-->js/win_op.js"></script>
+<script type="text/javascript" src="<!--{$TPL_DIR}-->js/site.js"></script>
+<script type="text/javascript" src="<!--{$TPL_DIR}-->js/admin.js"></script>
 <script type="text/javascript">
 <!--
Index: /branches/feature-module-update/data/Smarty/templates/default/admin/contents/csv_sql_view.tpl
===================================================================
--- /branches/feature-module-update/data/Smarty/templates/default/admin/contents/csv_sql_view.tpl	(revision 16582)
+++ /branches/feature-module-update/data/Smarty/templates/default/admin/contents/csv_sql_view.tpl	(revision 16821)
@@ -30,6 +30,6 @@
 <meta http-equiv="content-style-type" content="text/css">
 <link rel="stylesheet" href="<!--{$smarty.const.URL_DIR}-->admin/css/contents.css" type="text/css" media="all" />
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/css.js"></script>
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/navi.js"></script>
+<script type="text/javascript" src="<!--{$TPL_DIR}-->js/css.js"></script>
+<script type="text/javascript" src="<!--{$TPL_DIR}-->js/navi.js"></script>
 <!--{include file='css/contents.tpl'}-->
 <style type="text/css">
Index: /branches/feature-module-update/data/Smarty/templates/default/admin/basis/payment_input.tpl
===================================================================
--- /branches/feature-module-update/data/Smarty/templates/default/admin/basis/payment_input.tpl	(revision 16582)
+++ /branches/feature-module-update/data/Smarty/templates/default/admin/basis/payment_input.tpl	(revision 16821)
@@ -31,9 +31,9 @@
 <meta http-equiv="content-style-type" content="text/css" />
 <link rel="stylesheet" href="<!--{$smarty.const.URL_DIR}-->admin/css/contents.css" type="text/css" media="all" />
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/css.js"></script>
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/navi.js"></script>
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/win_op.js"></script>
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/site.js"></script>
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/admin.js"></script>
+<script type="text/javascript" src="<!--{$TPL_DIR}-->js/css.js"></script>
+<script type="text/javascript" src="<!--{$TPL_DIR}-->js/navi.js"></script>
+<script type="text/javascript" src="<!--{$TPL_DIR}-->js/win_op.js"></script>
+<script type="text/javascript" src="<!--{$TPL_DIR}-->js/site.js"></script>
+<script type="text/javascript" src="<!--{$TPL_DIR}-->js/admin.js"></script>
 <!--{include file='css/contents.tpl'}-->
 <title>ECサイト管理者ページ</title>
Index: /branches/feature-module-update/data/Smarty/templates/default/admin/products/product_select.tpl
===================================================================
--- /branches/feature-module-update/data/Smarty/templates/default/admin/products/product_select.tpl	(revision 16582)
+++ /branches/feature-module-update/data/Smarty/templates/default/admin/products/product_select.tpl	(revision 16821)
@@ -30,10 +30,9 @@
 <meta http-equiv="content-script-type" content="text/javascript" />
 <meta http-equiv="content-style-type" content="text/css" />
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/css.js"></script>
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/navi.js"></script>
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/win_op.js"></script>
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/site.js"></script>
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/admin.js"></script>
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/css.js"></script>
+<script type="text/javascript" src="<!--{$TPL_DIR}-->js/css.js"></script>
+<script type="text/javascript" src="<!--{$TPL_DIR}-->js/navi.js"></script>
+<script type="text/javascript" src="<!--{$TPL_DIR}-->js/win_op.js"></script>
+<script type="text/javascript" src="<!--{$TPL_DIR}-->js/site.js"></script>
+<script type="text/javascript" src="<!--{$TPL_DIR}-->js/admin.js"></script>
 <script type="text/javascript">
 <!--
Index: /branches/feature-module-update/data/Smarty/templates/default/admin/order/mail_view.tpl
===================================================================
--- /branches/feature-module-update/data/Smarty/templates/default/admin/order/mail_view.tpl	(revision 16582)
+++ /branches/feature-module-update/data/Smarty/templates/default/admin/order/mail_view.tpl	(revision 16821)
@@ -30,6 +30,6 @@
 <meta http-equiv="content-style-type" content="text/css">
 <link rel="stylesheet" href="<!--{$smarty.const.URL_DIR}-->admin/css/contents.css" type="text/css" media="all" />
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/css.js"></script>
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/navi.js"></script>
+<script type="text/javascript" src="<!--{$TPL_DIR}-->js/css.js"></script>
+<script type="text/javascript" src="<!--{$TPL_DIR}-->js/navi.js"></script>
 <!--{include file='css/contents.tpl'}-->
 <style type="text/css">
Index: /branches/feature-module-update/data/Smarty/templates/default/admin/order/disp.tpl
===================================================================
--- /branches/feature-module-update/data/Smarty/templates/default/admin/order/disp.tpl	(revision 16582)
+++ /branches/feature-module-update/data/Smarty/templates/default/admin/order/disp.tpl	(revision 16821)
@@ -31,9 +31,9 @@
 <meta http-equiv="content-style-type" content="text/css" />
 <link rel="stylesheet" href="<!--{$smarty.const.URL_DIR}-->admin/css/contents.css" type="text/css" media="all" />
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/css.js"></script>
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/navi.js"></script>
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/win_op.js"></script>
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/site.js"></script>
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/admin.js"></script>
+<script type="text/javascript" src="<!--{$TPL_DIR}-->js/css.js"></script>
+<script type="text/javascript" src="<!--{$TPL_DIR}-->js/navi.js"></script>
+<script type="text/javascript" src="<!--{$TPL_DIR}-->js/win_op.js"></script>
+<script type="text/javascript" src="<!--{$TPL_DIR}-->js/site.js"></script>
+<script type="text/javascript" src="<!--{$TPL_DIR}-->js/admin.js"></script>
 <!--{include file='css/contents.tpl'}-->
 <title><!--{$smarty.const.ADMIN_TITLE}--></title>
Index: /branches/feature-module-update/data/Smarty/templates/default/admin/login_frame.tpl
===================================================================
--- /branches/feature-module-update/data/Smarty/templates/default/admin/login_frame.tpl	(revision 16582)
+++ /branches/feature-module-update/data/Smarty/templates/default/admin/login_frame.tpl	(revision 16821)
@@ -30,6 +30,6 @@
 <meta http-equiv="content-style-type" content="text/css">
 <link rel="stylesheet" href="<!--{$smarty.const.URL_DIR}-->admin/css/contents.css" type="text/css" media="all" />
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/css.js"></script>
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/navi.js"></script>
+<script type="text/javascript" src="<!--{$TPL_DIR}-->js/css.js"></script>
+<script type="text/javascript" src="<!--{$TPL_DIR}-->js/navi.js"></script>
 <!--{include file='css/contents.tpl'}-->
 <style type="text/css">
Index: /branches/feature-module-update/data/Smarty/templates/default/admin/mail/query.tpl
===================================================================
--- /branches/feature-module-update/data/Smarty/templates/default/admin/mail/query.tpl	(revision 16582)
+++ /branches/feature-module-update/data/Smarty/templates/default/admin/mail/query.tpl	(revision 16821)
@@ -31,9 +31,9 @@
 <meta http-equiv="content-style-type" content="text/css" />
 <link rel="stylesheet" href="<!--{$smarty.const.URL_DIR}-->admin/css/contents.css" type="text/css" media="all" />
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/css.js"></script>
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/navi.js"></script>
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/win_op.js"></script>
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/site.js"></script>
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/admin.js"></script>
+<script type="text/javascript" src="<!--{$TPL_DIR}-->js/css.js"></script>
+<script type="text/javascript" src="<!--{$TPL_DIR}-->js/navi.js"></script>
+<script type="text/javascript" src="<!--{$TPL_DIR}-->js/win_op.js"></script>
+<script type="text/javascript" src="<!--{$TPL_DIR}-->js/site.js"></script>
+<script type="text/javascript" src="<!--{$TPL_DIR}-->js/admin.js"></script>
 <!--{include file='css/contents.tpl'}-->
 <title>ECサイト管理者ページ</title>
Index: /branches/feature-module-update/data/Smarty/templates/default/admin/mail/htmlmail_select.tpl
===================================================================
--- /branches/feature-module-update/data/Smarty/templates/default/admin/mail/htmlmail_select.tpl	(revision 16582)
+++ /branches/feature-module-update/data/Smarty/templates/default/admin/mail/htmlmail_select.tpl	(revision 16821)
@@ -30,10 +30,9 @@
 <meta http-equiv="content-script-type" content="text/javascript" />
 <meta http-equiv="content-style-type" content="text/css" />
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/css.js"></script>
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/navi.js"></script>
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/win_op.js"></script>
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/site.js"></script>
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/admin.js"></script>
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/css.js"></script>
+<script type="text/javascript" src="<!--{$TPL_DIR}-->js/css.js"></script>
+<script type="text/javascript" src="<!--{$TPL_DIR}-->js/navi.js"></script>
+<script type="text/javascript" src="<!--{$TPL_DIR}-->js/win_op.js"></script>
+<script type="text/javascript" src="<!--{$TPL_DIR}-->js/site.js"></script>
+<script type="text/javascript" src="<!--{$TPL_DIR}-->js/admin.js"></script>
 <script type="text/javascript">
 <!--
Index: /branches/feature-module-update/data/Smarty/templates/default/admin/system/input.tpl
===================================================================
--- /branches/feature-module-update/data/Smarty/templates/default/admin/system/input.tpl	(revision 16582)
+++ /branches/feature-module-update/data/Smarty/templates/default/admin/system/input.tpl	(revision 16821)
@@ -30,9 +30,9 @@
 <meta http-equiv="content-style-type" content="text/css" />
 <link rel="stylesheet" href="<!--{$smarty.const.URL_DIR}-->admin/css/contents.css" type="text/css" media="all" />
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/css.js"></script>
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/navi.js"></script>
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/win_op.js"></script>
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/site.js"></script>
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/admin.js"></script>
+<script type="text/javascript" src="<!--{$TPL_DIR}-->js/css.js"></script>
+<script type="text/javascript" src="<!--{$TPL_DIR}-->js/navi.js"></script>
+<script type="text/javascript" src="<!--{$TPL_DIR}-->js/win_op.js"></script>
+<script type="text/javascript" src="<!--{$TPL_DIR}-->js/site.js"></script>
+<script type="text/javascript" src="<!--{$TPL_DIR}-->js/admin.js"></script>
 <!--{include file='css/contents.tpl'}-->
 <title>メンバー登録・編集</title>
Index: /branches/feature-module-update/data/Smarty/templates/default/inquiry/confirm.tpl
===================================================================
--- /branches/feature-module-update/data/Smarty/templates/default/inquiry/confirm.tpl	(revision 16583)
+++ /branches/feature-module-update/data/Smarty/templates/default/inquiry/confirm.tpl	(revision 16821)
@@ -23,10 +23,9 @@
  *}-->
 <head>
-<link rel="stylesheet" href="<!--{$smarty.const.URL_DIR}-->css/contents.css" type="text/css">
-<link rel="stylesheet" href="<!--{$smarty.const.URL_DIR}-->css/common.css" type="text/css">
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/css.js"></script>
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/navi.js"></script>
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/site.js"></script>
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/win_op.js"></script>
+<link rel="stylesheet" href="<!--{$smarty.const.URL_DIR}--><!--{$smarty.const.USER_DIR}-->css/common.css" type="text/css">
+<script type="text/javascript" src="<!--{$TPL_DIR}-->js/css.js"></script>
+<script type="text/javascript" src="<!--{$TPL_DIR}-->js/navi.js"></script>
+<script type="text/javascript" src="<!--{$TPL_DIR}-->js/site.js"></script>
+<script type="text/javascript" src="<!--{$TPL_DIR}-->js/win_op.js"></script>
 <title><!--{$arrSiteInfo.shop_name}-->/アンケート　<!--{$QUESTION.title|escape}-->/確認画面</title>
 <script type="text/javascript">
Index: /branches/feature-module-update/data/Smarty/templates/default/inquiry/index.tpl
===================================================================
--- /branches/feature-module-update/data/Smarty/templates/default/inquiry/index.tpl	(revision 16583)
+++ /branches/feature-module-update/data/Smarty/templates/default/inquiry/index.tpl	(revision 16821)
@@ -23,10 +23,9 @@
  *}-->
 <head>
-<link rel="stylesheet" href="<!--{$smarty.const.URL_DIR}-->css/contents.css" type="text/css">
-<link rel="stylesheet" href="<!--{$smarty.const.URL_DIR}-->css/common.css" type="text/css">
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/css.js"></script>
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/navi.js"></script>
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/site.js"></script>
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/win_op.js"></script>
+<link rel="stylesheet" href="<!--{$smarty.const.URL_DIR}--><!--{$smarty.const.USER_DIR}-->css/common.css" type="text/css">
+<script type="text/javascript" src="<!--{$TPL_DIR}-->js/css.js"></script>
+<script type="text/javascript" src="<!--{$TPL_DIR}-->js/navi.js"></script>
+<script type="text/javascript" src="<!--{$TPL_DIR}-->js/site.js"></script>
+<script type="text/javascript" src="<!--{$TPL_DIR}-->js/win_op.js"></script>
 <title><!--{$arrSiteInfo.shop_name}-->/アンケート　<!--{$QUESTION.title|escape}--></title>
 </head>
Index: /branches/feature-module-update/data/Smarty/templates/default/inquiry/complete.tpl
===================================================================
--- /branches/feature-module-update/data/Smarty/templates/default/inquiry/complete.tpl	(revision 16583)
+++ /branches/feature-module-update/data/Smarty/templates/default/inquiry/complete.tpl	(revision 16821)
@@ -23,10 +23,9 @@
  *}-->
 <head>
-<link rel="stylesheet" href="<!--{$smarty.const.URL_DIR}-->css/contents.css" type="text/css">
-<link rel="stylesheet" href="<!--{$smarty.const.URL_DIR}-->css/common.css" type="text/css">
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/css.js"></script>
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/navi.js"></script>
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/site.js"></script>
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/win_op.js"></script>
+<link rel="stylesheet" href="<!--{$smarty.const.URL_DIR}--><!--{$smarty.const.USER_DIR}-->css/common.css" type="text/css">
+<script type="text/javascript" src="<!--{$TPL_DIR}-->js/css.js"></script>
+<script type="text/javascript" src="<!--{$TPL_DIR}-->js/navi.js"></script>
+<script type="text/javascript" src="<!--{$TPL_DIR}-->js/site.js"></script>
+<script type="text/javascript" src="<!--{$TPL_DIR}-->js/win_op.js"></script>
 <title><!--{$arrSiteInfo.shop_name}-->/アンケート（完了ページ）</title>
 </head>
Index: /branches/feature-module-update/data/Smarty/templates/default/mypage/error.tpl
===================================================================
--- /branches/feature-module-update/data/Smarty/templates/default/mypage/error.tpl	(revision 16582)
+++ /branches/feature-module-update/data/Smarty/templates/default/mypage/error.tpl	(revision 16821)
@@ -28,11 +28,10 @@
 <meta http-equiv="content-script-type" content="text/javascript">
 <meta http-equiv="content-style-type" content="text/css">
-<link rel="stylesheet" href="<!--{$smarty.const.URL_DIR}-->user_data/css/contents.css" type="text/css" media="all" />
-<link rel="stylesheet" href="<!--{$smarty.const.URL_DIR}-->css/common.css" type="text/css" media="all" />
+<link rel="stylesheet" href="<!--{$smarty.const.URL_DIR}--><!--{$smarty.const.USER_DIR}-->css/common.css" type="text/css" media="all" />
 <link rel="stylesheet" href="<!--{$tpl_css}-->" type="text/css" media="all" />
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/css.js"></script>
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/navi.js"></script>
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/win_op.js"></script>
-<script type="text/javascript" src="<!--{$smarty.const.URL_DIR}-->js/site.js"></script>
+<script type="text/javascript" src="<!--{$TPL_DIR}-->js/css.js"></script>
+<script type="text/javascript" src="<!--{$TPL_DIR}-->js/navi.js"></script>
+<script type="text/javascript" src="<!--{$TPL_DIR}-->js/win_op.js"></script>
+<script type="text/javascript" src="<!--{$TPL_DIR}-->js/site.js"></script>
 <title><!--{$arrSiteInfo.shop_name}-->/エラー</title>
 </head>
@@ -40,5 +39,5 @@
 <body onload="preLoadImg('<!--{$smarty.const.URL_DIR}-->')">
 <noscript>
-<link rel="stylesheet" href="<!--{$smarty.const.URL_DIR}-->css/common.css" type="text/css" />
+<link rel="stylesheet" href="<!--{$smarty.const.URL_DIR}--><!--{$smarty.const.USER_DIR}-->css/common.css" type="text/css" />
 </noscript>
 