Index: /branches/version-2/data/Smarty/templates/default/mypage/error.tpl
===================================================================
--- /branches/version-2/data/Smarty/templates/default/mypage/error.tpl	(revision 16821)
+++ /branches/version-2/data/Smarty/templates/default/mypage/error.tpl	(revision 17049)
@@ -37,5 +37,5 @@
 </head>
 
-<body onload="preLoadImg('<!--{$smarty.const.URL_DIR}-->')">
+<body onload="preLoadImg('<!--{$TPL_DIR}-->')">
 <noscript>
 <link rel="stylesheet" href="<!--{$smarty.const.URL_DIR}--><!--{$smarty.const.USER_DIR}-->css/common.css" type="text/css" />
Index: /branches/version-2/data/Smarty/templates/default/mypage/delivery_addr.tpl
===================================================================
--- /branches/version-2/data/Smarty/templates/default/mypage/delivery_addr.tpl	(revision 16583)
+++ /branches/version-2/data/Smarty/templates/default/mypage/delivery_addr.tpl	(revision 17049)
@@ -34,5 +34,5 @@
 </head>
 
-<body onload="preLoadImg('<!--{$smarty.const.URL_DIR}-->'); <!--{$tpl_onload}-->">
+<body onload="preLoadImg('<!--{$TPL_DIR}-->'); <!--{$tpl_onload}-->">
 <noscript>
   <p><em>JavaScriptを有効にしてご利用下さい.</em></p>
Index: /branches/version-2/data/Smarty/templates/default/admin/contents/csv_sql_view.tpl
===================================================================
--- /branches/version-2/data/Smarty/templates/default/admin/contents/csv_sql_view.tpl	(revision 16821)
+++ /branches/version-2/data/Smarty/templates/default/admin/contents/csv_sql_view.tpl	(revision 17049)
@@ -43,5 +43,5 @@
 </head>
 
-<body bgcolor="#ffffff" text="#494E5F" link="#006699" vlink="#006699" alink="#006699" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" onLoad="preLoadImg('<!--{$smarty.const.URL_DIR}-->')">
+<body bgcolor="#ffffff" text="#494E5F" link="#006699" vlink="#006699" alink="#006699" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" onLoad="preLoadImg('<!--{$TPL_DIR}-->')">
 <noscript>
 <link rel="stylesheet" href="<!--{$smarty.const.URL_DIR}-->admin/css/common.css" type="text/css" >
Index: /branches/version-2/data/Smarty/templates/default/admin/order/mail_view.tpl
===================================================================
--- /branches/version-2/data/Smarty/templates/default/admin/order/mail_view.tpl	(revision 16821)
+++ /branches/version-2/data/Smarty/templates/default/admin/order/mail_view.tpl	(revision 17049)
@@ -43,5 +43,5 @@
 </head>
 
-<body bgcolor="#ffffff" text="#494E5F" link="#006699" vlink="#006699" alink="#006699" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" onLoad="preLoadImg('<!--{$smarty.const.URL_DIR}-->')">
+<body bgcolor="#ffffff" text="#494E5F" link="#006699" vlink="#006699" alink="#006699" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" onLoad="preLoadImg('<!--{$TPL_DIR}-->')">
 <noscript>
 <link rel="stylesheet" href="<!--{$smarty.const.URL_DIR}-->admin/css/common.css" type="text/css" >
Index: /branches/version-2/data/Smarty/templates/default/admin/order/disp.tpl
===================================================================
--- /branches/version-2/data/Smarty/templates/default/admin/order/disp.tpl	(revision 16821)
+++ /branches/version-2/data/Smarty/templates/default/admin/order/disp.tpl	(revision 17049)
@@ -45,5 +45,5 @@
 
 </head>
-<body bgcolor="#ffffff" text="#000000" link="#006699" vlink="#006699" alink="#006699" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" onload="preLoadImg('<!--{$smarty.const.URL_DIR}-->'); <!--{$tpl_onload}-->">
+<body bgcolor="#ffffff" text="#000000" link="#006699" vlink="#006699" alink="#006699" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" onload="preLoadImg('<!--{$TPL_DIR}-->'); <!--{$tpl_onload}-->">
 <noscript>
 <link rel="stylesheet" href="<!--{$smarty.const.URL_ADMIN_CSS}-->common.css" type="text/css" />
Index: /branches/version-2/data/Smarty/templates/default/admin/login_frame.tpl
===================================================================
--- /branches/version-2/data/Smarty/templates/default/admin/login_frame.tpl	(revision 16821)
+++ /branches/version-2/data/Smarty/templates/default/admin/login_frame.tpl	(revision 17049)
@@ -43,5 +43,5 @@
 </head>
 
-<body bgcolor="#ffffff" text="#494E5F" link="#006699" vlink="#006699" alink="#006699" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" onLoad="preLoadImg('<!--{$smarty.const.URL_DIR}-->')">
+<body bgcolor="#ffffff" text="#494E5F" link="#006699" vlink="#006699" alink="#006699" leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" onLoad="preLoadImg('<!--{$TPL_DIR}-->')">
 <!--{$GLOBAL_ERR}-->
 <noscript>
Index: /branches/version-2/data/Smarty/templates/default/forgot/secret.tpl
===================================================================
--- /branches/version-2/data/Smarty/templates/default/forgot/secret.tpl	(revision 16583)
+++ /branches/version-2/data/Smarty/templates/default/forgot/secret.tpl	(revision 17049)
@@ -38,5 +38,5 @@
 </head>
 
-<body onload="preLoadImg('<!--{$smarty.const.URL_DIR}-->')">
+<body onload="preLoadImg('<!--{$TPL_DIR}-->')">
 <noscript>
  <p>JavaScriptを有効にしてご利用下さい</p>
Index: /branches/version-2/data/Smarty/templates/default/forgot/index.tpl
===================================================================
--- /branches/version-2/data/Smarty/templates/default/forgot/index.tpl	(revision 16583)
+++ /branches/version-2/data/Smarty/templates/default/forgot/index.tpl	(revision 17049)
@@ -38,5 +38,5 @@
 </head>
 
-<body onload="preLoadImg('<!--{$smarty.const.URL_DIR}-->')">
+<body onload="preLoadImg('<!--{$TPL_DIR}-->')">
 <noscript>
  <p>JavaScriptを有効にしてご利用下さい</p>
Index: /branches/version-2/data/Smarty/templates/default/forgot/complete.tpl
===================================================================
--- /branches/version-2/data/Smarty/templates/default/forgot/complete.tpl	(revision 16583)
+++ /branches/version-2/data/Smarty/templates/default/forgot/complete.tpl	(revision 17049)
@@ -38,5 +38,5 @@
 </head>
 
-<body onload="preLoadImg('<!--{$smarty.const.URL_DIR}-->')">
+<body onload="preLoadImg('<!--{$TPL_DIR}-->')">
 <noscript>
  <p>JavaScriptを有効にしてご利用下さい</p>
Index: /branches/version-2/data/Smarty/templates/default/products/review_complete.tpl
===================================================================
--- /branches/version-2/data/Smarty/templates/default/products/review_complete.tpl	(revision 16583)
+++ /branches/version-2/data/Smarty/templates/default/products/review_complete.tpl	(revision 17049)
@@ -38,5 +38,5 @@
 </head>
 
-<body onload="preLoadImg()">
+<body onload="preLoadImg('<!--{$TPL_DIR}-->')">
 <div id="windowcolumn">
   <div id="windowarea">
Index: /branches/version-2/data/Smarty/templates/default/products/review_confirm.tpl
===================================================================
--- /branches/version-2/data/Smarty/templates/default/products/review_confirm.tpl	(revision 16583)
+++ /branches/version-2/data/Smarty/templates/default/products/review_confirm.tpl	(revision 17049)
@@ -37,5 +37,5 @@
 <title><!--{$arrSiteInfo.shop_name}-->/お客様の声書き込み（確認ページ）</title>
 </head>
-<body onload="preLoadImg()">
+<body onload="preLoadImg('<!--{$TPL_DIR}-->')">
 <a name="top" id="top"></a>
 <div id="windowcolumn">
Index: /branches/version-2/data/Smarty/templates/default/products/review.tpl
===================================================================
--- /branches/version-2/data/Smarty/templates/default/products/review.tpl	(revision 16583)
+++ /branches/version-2/data/Smarty/templates/default/products/review.tpl	(revision 17049)
@@ -37,5 +37,5 @@
 <title><!--{$arrSiteInfo.shop_name}-->/お客様の声書き込み（入力ページ）</title>
 </head>
-<body onload="preLoadImg()">
+<body onload="preLoadImg('<!--{$TPL_DIR}-->')">
 <a name="top" id="top"></a>
 
Index: /branches/version-2/data/Smarty/templates/default/products/detail_image.tpl
===================================================================
--- /branches/version-2/data/Smarty/templates/default/products/detail_image.tpl	(revision 16583)
+++ /branches/version-2/data/Smarty/templates/default/products/detail_image.tpl	(revision 17049)
@@ -38,5 +38,5 @@
 </head>
 
-<body onload="preLoadImg('<!--{$smarty.const.URL_DIR}-->')">
+<body onload="preLoadImg('<!--{$TPL_DIR}-->')">
 <noscript>
  <p>JavaScriptを有効にしてご利用下さい</p>
Index: /branches/version-2/data/Smarty/templates/default/site_main.tpl
===================================================================
--- /branches/version-2/data/Smarty/templates/default/site_main.tpl	(revision 16940)
+++ /branches/version-2/data/Smarty/templates/default/site_main.tpl	(revision 17049)
@@ -20,5 +20,5 @@
  * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
  *}-->
-<body onload="preLoadImg('<!--{$smarty.const.URL_DIR}-->'); <!--{$tpl_onload}-->">
+<body onload="preLoadImg('<!--{$TPL_DIR}-->'); <!--{$tpl_onload}-->">
 <!--{* A8タグ表示用 *}-->
 <!--{if "sfPrintA8Tag"|function_exists === TRUE}-->
Index: /branches/version-2/data/Smarty/templates/default/input_zip.tpl
===================================================================
--- /branches/version-2/data/Smarty/templates/default/input_zip.tpl	(revision 16583)
+++ /branches/version-2/data/Smarty/templates/default/input_zip.tpl	(revision 17049)
@@ -38,5 +38,5 @@
 </head>
 
-<body onload="preLoadImg('<!--{$smarty.const.URL_DIR}-->'); <!--{$tpl_onload}--> <!--{$tpl_start}-->">
+<body onload="preLoadImg('<!--{$TPL_DIR}-->'); <!--{$tpl_onload}--> <!--{$tpl_start}-->">
 <noscript>
   <p>JavaScript を有効にしてご利用下さい.</p>
Index: /branches/version-2/data/Smarty/templates/default/campaign/active/header.tpl
===================================================================
--- /branches/version-2/data/Smarty/templates/default/campaign/active/header.tpl	(revision 16583)
+++ /branches/version-2/data/Smarty/templates/default/campaign/active/header.tpl	(revision 17049)
@@ -41,5 +41,5 @@
 </script>
 </head>
-<body onload="preLoadImg('<!--{$smarty.const.URL_DIR}-->'); <!--{$tpl_onload}-->">
+<body onload="preLoadImg('<!--{$TPL_DIR}-->'); <!--{$tpl_onload}-->">
 <noscript>
   <p>JavaScript を有効にしてご利用下さい.</p>
Index: /branches/version-2/data/Smarty/templates/default/campaign/end/header.tpl
===================================================================
--- /branches/version-2/data/Smarty/templates/default/campaign/end/header.tpl	(revision 16583)
+++ /branches/version-2/data/Smarty/templates/default/campaign/end/header.tpl	(revision 17049)
@@ -41,5 +41,5 @@
 </script>
 </head>
-<body onload="preLoadImg('<!--{$smarty.const.URL_DIR}-->'); <!--{$tpl_onload}-->">
+<body onload="preLoadImg('<!--{$TPL_DIR}-->'); <!--{$tpl_onload}-->">
 <noscript>
   <p>JavaScript を有効にしてご利用下さい.</p>