Index: /branches/comu-ver2/data/Smarty/templates/default/products/review.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/products/review.tpl	(revision 16583)
+++ /branches/comu-ver2/data/Smarty/templates/default/products/review.tpl	(revision 17088)
@@ -1,44 +1,4 @@
-<!--{printXMLDeclaration}--><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
-<!--{*
- * This file is part of EC-CUBE
- *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
- *
- * http://www.lockon.co.jp/
- *
- * This program is free software; you can redistribute it and/or
- * modify it under the terms of the GNU General Public License
- * as published by the Free Software Foundation; either version 2
- * of the License, or (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
- *}-->
-<html xmlns="http://www.w3.org/1999/xhtml" lang="ja" xml:lang="ja">
-<head>
-<meta http-equiv="Content-Type" content="text/html; charset=<!--{$smarty.const.CHAR_CODE}-->" />
-<meta http-equiv="Content-Script-Type" content="text/javascript" />
-<meta http-equiv="Content-Style-Type" content="text/css" />
-<link rel="stylesheet" href="<!--{$smarty.const.URL_DIR}--><!--{$smarty.const.USER_DIR}-->css/common.css" type="text/css" media="all" />
-<link rel="alternate" type="application/rss+xml" title="RSS" href="<!--{$smarty.const.SITE_URL}-->/rss/index.php" />
-<script type="text/javascript" src="<!--{$TPL_DIR}-->js/css.js"></script>
-<script type="text/javascript" src="<!--{$TPL_DIR}-->js/navi.js"></script>
-<script type="text/javascript" src="<!--{$TPL_DIR}-->js/win_op.js"></script>
-<script type="text/javascript" src="<!--{$TPL_DIR}-->js/site.js"></script>
-<meta name="author" content="<!--{$arrPageLayout.author|escape}-->" />
-<meta name="description" content="<!--{$arrPageLayout.description|escape}-->" />
-<meta name="keywords" content="<!--{$arrPageLayout.keyword|escape}-->" />
-<title><!--{$arrSiteInfo.shop_name}-->/お客様の声書き込み（入力ページ）</title>
-</head>
-<body onload="preLoadImg()">
-<a name="top" id="top"></a>
+<!--{include file="`$smarty.const.TEMPLATE_DIR`popup_header.tpl" subtitle="お客様の声書き込み（入力ページ）"}-->
 
-<div id="windowcolumn">
   <div id="windowarea">
     <h2><img src="<!--{$TPL_DIR}-->img/products/review_title.jpg" width="500" height="40" alt="お客様の声書き込み" /></h2>
@@ -100,5 +60,4 @@
       </form>
     </div>
-  </div>
-</body>
-</html>
+
+<!--{include file="`$smarty.const.TEMPLATE_DIR`popup_footer.tpl"}-->
Index: /branches/comu-ver2/data/Smarty/templates/default/popup_header.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/popup_header.tpl	(revision 17088)
+++ /branches/comu-ver2/data/Smarty/templates/default/popup_header.tpl	(revision 17088)
@@ -0,0 +1,44 @@
+<!--{printXMLDeclaration}--><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!--{*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ *}-->
+<html xmlns="http://www.w3.org/1999/xhtml" lang="ja" xml:lang="ja">
+<head>
+<meta http-equiv="Content-Type" content="text/html; charset=<!--{$smarty.const.CHAR_CODE}-->" />
+<meta http-equiv="Content-Script-Type" content="text/javascript" />
+<meta http-equiv="Content-Style-Type" content="text/css" />
+<link rel="stylesheet" href="<!--{$smarty.const.URL_DIR}--><!--{$smarty.const.USER_DIR}-->css/common.css" type="text/css" media="all" />
+<script type="text/javascript" src="<!--{$TPL_DIR}-->js/css.js"></script>
+<script type="text/javascript" src="<!--{$TPL_DIR}-->js/navi.js"></script>
+<script type="text/javascript" src="<!--{$TPL_DIR}-->js/win_op.js"></script>
+<script type="text/javascript" src="<!--{$TPL_DIR}-->js/site.js"></script>
+<title><!--{$arrSiteInfo.shop_name}-->/<!--{$subtitle|escape}--></title>
+</head>
+
+<body onload="preLoadImg('<!--{$TPL_DIR}-->'); <!--{$tpl_onload}--> <!--{$tpl_start}-->">
+<noscript>
+  <p><em>JavaScriptを有効にしてご利用下さい.</em></p>
+</noscript>
+
+<a name="top" id="top"></a>
+
+<!--▼CONTENTS-->
+<div id="windowcolumn">
Index: /branches/comu-ver2/data/Smarty/templates/default/popup_footer.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/popup_footer.tpl	(revision 17088)
+++ /branches/comu-ver2/data/Smarty/templates/default/popup_footer.tpl	(revision 17088)
@@ -0,0 +1,3 @@
+</div>
+</body>
+</html>
Index: /branches/comu-ver2/data/Smarty/templates/default/mypage/delivery_addr.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/mypage/delivery_addr.tpl	(revision 16583)
+++ /branches/comu-ver2/data/Smarty/templates/default/mypage/delivery_addr.tpl	(revision 17088)
@@ -1,46 +1,4 @@
-<!--{printXMLDeclaration}--><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
-<!--{*
- * This file is part of EC-CUBE
- *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
- *
- * http://www.lockon.co.jp/
- *
- * This program is free software; you can redistribute it and/or
- * modify it under the terms of the GNU General Public License
- * as published by the Free Software Foundation; either version 2
- * of the License, or (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
- *}-->
-<html xmlns="http://www.w3.org/1999/xhtml" lang="ja" xml:lang="ja">
-<head>
-<meta http-equiv="Content-Type" content="text/html; charset=<!--{$smarty.const.CHAR_CODE}-->" />
-<meta http-equiv="Content-Script-Type" content="text/javascript" />
-<meta http-equiv="Content-Style-Type" content="text/css" />
-<link rel="stylesheet" href="<!--{$smarty.const.URL_DIR}--><!--{$smarty.const.USER_DIR}-->css/common.css" type="text/css" media="all" />
-<script type="text/javascript" src="<!--{$TPL_DIR}-->js/css.js"></script>
-<script type="text/javascript" src="<!--{$TPL_DIR}-->js/navi.js"></script>
-<script type="text/javascript" src="<!--{$TPL_DIR}-->js/win_op.js"></script>
-<script type="text/javascript" src="<!--{$TPL_DIR}-->js/site.js"></script>
-<title><!--{$arrSiteInfo.shop_name}-->/<!--{$tpl_title|escape}--></title>
-</head>
+<!--{include file="`$smarty.const.TEMPLATE_DIR`popup_header.tpl" subtitle="新しいお届け先の追加・変更"}-->
 
-<body onload="preLoadImg('<!--{$smarty.const.URL_DIR}-->'); <!--{$tpl_onload}-->">
-<noscript>
-  <p><em>JavaScriptを有効にしてご利用下さい.</em></p>
-</noscript>
-
-<a name="top" id="top"></a>
-
-<!--▼CONTENTS-->
-<div id="windowcolumn">
   <div id="windowarea">
     <h2>
@@ -121,5 +79,4 @@
     </form>
   </div>
-</div>
-</body>
-</html>
+
+<!--{include file="`$smarty.const.TEMPLATE_DIR`popup_footer.tpl"}-->