Index: branches/comu-ver2/data/class/batch/SC_Batch_Update.php
===================================================================
--- branches/comu-ver2/data/class/batch/SC_Batch_Update.php	(revision 16984)
+++ branches/comu-ver2/data/class/batch/SC_Batch_Update.php	(revision 17141)
@@ -53,4 +53,5 @@
      */
     function execute($target = ".") {
+        $msg = '';
         $oldMask = umask(0);
         $bkupDistInfoArray = array(); //バックアップファイル用のdistinfoファイル内容
@@ -66,5 +67,7 @@
 
         if (!is_writable($bkupPath) || !is_writable($bkupPathFile)) {
-            $arrLog['err'][] = 'バックアップディレクトリの作成に失敗しました';
+            $msg = 'バックアップディレクトリの作成に失敗しました';
+            $arrLog['err'][] = $msg;
+            $this->printLog($msg);
             return $arrLog;
         }
@@ -93,5 +96,7 @@
                 // 除外ファイルをスキップ
                 if (in_array($fileName, $excludeArray)) {
-                    $arrLog['ok'][] = "次のファイルは除外されました: " . $path;
+                    //$arrLog['ok'][] = "次のファイルは除外されました: " . $path;
+                    $msg = "次のファイルは除外されました: " . $path;
+                    $this->printLog($msg);
                     continue;
                 }
@@ -113,19 +118,14 @@
                             $out = $distinfo[$sha1];
                         } else {
-                            $arrLog['err'][] = "ハッシュ値が一致しないため, コピー先が取得できません: " . $path;
+                            $msg = "ハッシュ値が一致しないため, コピー先が取得できません: " . $path;
+                            $arrLog['err'][] = $msg;
+                            $this->printLog($msg);
                             break 2;
                         }
 
-                        // パーミッションチェック
-                        /**
-                        if ($check_only) {
-                            if(!is_writable($out)) {
-                                $this->mkdir_p($out);
-                                if (!is_writable($out)) {
-                                    $arrLog['err'][] = "コピー先に書き込み権限がありません: " . $out;
-                                }
-                            }
-                            continue;
-                        }**/
+                        if ($sha1 == sha1_file($out)) {
+                            $msg = "同じ内容のファイルをスキップしました: " . $out;
+                            $this->printLog($msg);
+                        }
 
                         // バックアップを作成
@@ -135,9 +135,11 @@
 
                             if (!@copy($out, $bkupTo)) {
-                                $arrLog['err'][] = "バックアップファイルの作成に失敗しました: " . $out . ' -> ' . $bkupTo;
+                                $msg = "バックアップファイルの作成に失敗しました: " . $out . ' -> ' . $bkupTo;
+                                $arrLog['err'][] = $msg;
+                                $this->printLog($msg);
                                 break 2;
                             }
-                            $arrLog['ok'][]
-                                 = "バックアップファイルの作成に成功しました: " . $out . ' -> ' . $bkupTo;
+                            $msg = "バックアップファイルの作成に成功しました: " . $out . ' -> ' . $bkupTo;
+                            $this->printLog($msg);
                         }
 
@@ -149,5 +151,7 @@
                             $handle = @fopen($out, "w");
                             if (!$handle) {
-                                $arrLog['err'][] = "コピー先に書き込み権限がありません: " . $out;
+                                $msg = "コピー先に書き込み権限がありません: " . $out;
+                                $arrLog['err'][] = $msg;
+                                $this->printLog($msg);
                                 continue;
                             }
@@ -156,9 +160,13 @@
                         // 取得した内容を書き込む
                         if (fwrite($handle, $contents) === false) {
-                            $arrLog['err'][] = "コピー先に書き込み権限がありません: " . $out;
+                            $msg = "コピー先に書き込み権限がありません: " . $out;
+                            $arrLog['err'][] = $msg;
+                            $this->printLog($msg);
                             continue;
                         }
 
-                        $arrLog['ok'][] =  "ファイルのコピーに成功しました: " . $out;
+                        $msg =  "ファイルのコピーに成功しました: " . $out;
+                        $arrLog['ok'][] = $msg;
+                        $this->printLog($msg);
                         // ファイルを閉じる
                         fclose($handle);
@@ -172,7 +180,10 @@
             @fwrite($handle, $src);
             @fclose($handle);
-            $arrLog['ok'][] =  "distinfoファイルの作成に成功しました: " . $bkupPath . 'distinfo.php';
+            $msg = "distinfoファイルの作成に成功しました: " . $bkupPath . 'distinfo.php';
+            $this->printLog($msg);
         } else {
-            $arrLog['err'][] = "distinfoファイルの作成に失敗しました: " . $bkupPath . 'distinfo.php';
+            $msg = "distinfoファイルの作成に失敗しました: " . $bkupPath . 'distinfo.php';
+            $arrLog['err'][] = $msg;
+            $this->printLog($msg);
         }
         umask($oldMask);
@@ -230,4 +241,8 @@
         return $src;
     }
+
+    function printLog($msg) {
+        GC_Utils::gfPrintLog($msg, DATA_PATH . 'logs/ownersstore_batch_update.log');
+    }
 }
 ?>