Index: /branches/comu-ver2/data/class/pages/admin/mail/LC_Page_Admin_Mail_Template.php
===================================================================
--- /branches/comu-ver2/data/class/pages/admin/mail/LC_Page_Admin_Mail_Template.php	(revision 16758)
+++ /branches/comu-ver2/data/class/pages/admin/mail/LC_Page_Admin_Mail_Template.php	(revision 17144)
@@ -87,6 +87,7 @@
 
 
-        $sql = "SELECT *, (substring(create_date, 1, 19)) as disp_date FROM dtb_mailmaga_template WHERE del_flg = 0 ORDER BY create_date DESC";
+        $sql = "SELECT *, create_date as disp_date FROM dtb_mailmaga_template WHERE del_flg = 0 ORDER BY create_date DESC";
         $this->list_data = $conn->getAll($sql);
+		$this->list_data['disp_date'] = substr($this->list_data['disp_date'], 0, 19);
 
         $objView->assignobj($this);
Index: /branches/comu-ver2/data/class/pages/admin/contents/LC_Page_Admin_Contents.php
===================================================================
--- /branches/comu-ver2/data/class/pages/admin/contents/LC_Page_Admin_Contents.php	(revision 16741)
+++ /branches/comu-ver2/data/class/pages/admin/contents/LC_Page_Admin_Contents.php	(revision 17144)
@@ -112,5 +112,5 @@
         //----　編集データ取得
         if ($_POST["mode"] == "search" && is_numeric($_POST["news_id"])) {
-            $sql = "SELECT *, cast(substring(news_date,1, 10) as date) as cast_news_date FROM dtb_news WHERE news_id = ? ";
+            $sql = "SELECT *, cast(news_date as date) as cast_news_date FROM dtb_news WHERE news_id = ? ";
             $result = $conn->getAll($sql, array($_POST["news_id"]));
             foreach($result[0] as $key => $val ){
@@ -168,5 +168,5 @@
 
         //---- 全データ取得
-        $sql = "SELECT *, cast(substring(news_date,1, 10) as date) as cast_news_date FROM dtb_news WHERE del_flg = '0' ORDER BY rank DESC";
+        $sql = "SELECT *, cast(news_date as date) as cast_news_date FROM dtb_news WHERE del_flg = '0' ORDER BY rank DESC";
         $this->list_data = $conn->getAll($sql);
         $this->line_max = count($this->list_data);
Index: /branches/comu-ver2/data/class/pages/admin/contents/LC_Page_Admin_Contents_Inquiry.php
===================================================================
--- /branches/comu-ver2/data/class/pages/admin/contents/LC_Page_Admin_Contents_Inquiry.php	(revision 16755)
+++ /branches/comu-ver2/data/class/pages/admin/contents/LC_Page_Admin_Contents_Inquiry.php	(revision 17144)
@@ -98,5 +98,5 @@
                               );
 
-        $sql = "SELECT *, cast(substring(create_date, 1, 10) as date) as disp_date FROM dtb_question WHERE del_flg = 0 ORDER BY question_id";
+        $sql = "SELECT *, cast(create_date as date) as disp_date FROM dtb_question WHERE del_flg = 0 ORDER BY question_id";
         $result = $conn->getAll($sql);
         $this->list_data = $result;
Index: /branches/comu-ver2/data/class/pages/admin/LC_Page_Admin_Home.php
===================================================================
--- /branches/comu-ver2/data/class/pages/admin/LC_Page_Admin_Home.php	(revision 16737)
+++ /branches/comu-ver2/data/class/pages/admin/LC_Page_Admin_Home.php	(revision 17144)
@@ -138,5 +138,5 @@
             }else if (DB_TYPE == "mysql") {
                 $sql = "SELECT ".$method."(total) FROM dtb_order
-                         WHERE del_flg = 0 AND cast(substring(create_date,1, 10) as date) = DATE_ADD(current_date, interval -1 day) AND status <> " . ORDER_CANCEL;
+                         WHERE del_flg = 0 AND cast(create_date as date) = DATE_ADD(current_date, interval -1 day) AND status <> " . ORDER_CANCEL;
             }
             $return = $conn->getOne($sql);
@@ -182,6 +182,6 @@
         }else if (DB_TYPE == "mysql") {
             $sql = "SELECT COUNT(*) FROM dtb_review AS A LEFT JOIN dtb_products AS B ON A.product_id = B.product_id
-                     WHERE A.del_flg = 0 AND B.del_flg = 0 AND cast(substring(A.create_date,1, 10) as date) = DATE_ADD(current_date, interval -1 day)
-                     AND cast(substring(A.create_date,1, 10) as date) != cast(substring(now(),1, 10) as date)";
+                     WHERE A.del_flg = 0 AND B.del_flg = 0 AND cast(A.create_date as date) = DATE_ADD(current_date, interval -1 day)
+                     AND cast(A.create_date as date) != current_date";
         }
         $return = $conn->getOne($sql);
Index: /branches/comu-ver2/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_News.php
===================================================================
--- /branches/comu-ver2/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_News.php	(revision 16741)
+++ /branches/comu-ver2/data/class/pages/frontparts/bloc/LC_Page_FrontParts_Bloc_News.php	(revision 17144)
@@ -98,5 +98,5 @@
     function lfGetNews(){
         $conn = new SC_DBConn();
-        $sql = "SELECT *, cast(substring(news_date,1,10) as date) as news_date_disp FROM dtb_news WHERE del_flg = '0' ORDER BY rank DESC";
+        $sql = "SELECT *, cast(news_date as date) as news_date_disp FROM dtb_news WHERE del_flg = '0' ORDER BY rank DESC";
         $list_data = $conn->getAll($sql);
         return $list_data;