Index: /branches/comu-ver2/data/Smarty/templates/default/admin/contents/subnavi.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/admin/contents/subnavi.tpl	(revision 16582)
+++ /branches/comu-ver2/data/Smarty/templates/default/admin/contents/subnavi.tpl	(revision 17156)
@@ -45,8 +45,10 @@
 		<tr><td class=<!--{if $tpl_subno_csv != 'campaign'}-->"subnavi"<!--{else}-->"subnavi-on"<!--{/if}-->><a href="./csv.php?tpl_subno_csv=<!--{$arrSubnavi.4}-->" onMouseOver="naviStyleChange('campaign_sub', '#b7b7b7')" <!--{if $tpl_subno_csv != 'campaign'}-->onMouseOut="naviStyleChange('campaign_sub', '#818287')"<!--{/if}--> id="campaign_sub"><span class="subnavi_text">キャンペーン</span></a></td></tr>
 		<tr><td><img src="<!--{$TPL_DIR}-->img/contents/navi_subline.gif" width="140" height="2" alt=""></td></tr>
+		<tr><td class=<!--{if $tpl_subno_csv != 'category'}-->"subnavi"<!--{else}-->"subnavi-on"<!--{/if}-->><a href="./csv.php?tpl_subno_csv=<!--{$arrSubnavi.5}-->" onMouseOver="naviStyleChange('category_sub', '#b7b7b7')" <!--{if $tpl_subno_csv != 'category'}-->onMouseOut="naviStyleChange('category_sub', '#818287')"<!--{/if}--> id="category_sub"><span class="subnavi_text">カテゴリ</span></a></td></tr>
+		<tr><td><img src="<!--{$TPL_DIR}-->img/contents/navi_subline.gif" width="140" height="2" alt=""></td></tr>
 		<tr><td class=<!--{if $tpl_subno_csv != 'csv_sql'}-->"subnavi"<!--{else}-->"subnavi-on"<!--{/if}-->><a href="./csv_sql.php" onMouseOver="naviStyleChange('csv_sql', '#b7b7b7')" <!--{if $tpl_subno_csv != 'csv_sql'}-->onMouseOut="naviStyleChange('csv_sql', '#818287')"<!--{/if}--> id="csv_sql"><span class="subnavi_text">高度な設定</span></a></td></tr>
 		<tr><td><img src="<!--{$TPL_DIR}-->img/contents/navi_subline.gif" width="140" height="2" alt=""></td></tr>
 	<!--{/if}-->
-	
+
 	<!--ナビ-->
 </table>
Index: /branches/comu-ver2/data/Smarty/templates/default/admin/products/category.tpl
===================================================================
--- /branches/comu-ver2/data/Smarty/templates/default/admin/products/category.tpl	(revision 16582)
+++ /branches/comu-ver2/data/Smarty/templates/default/admin/products/category.tpl	(revision 17156)
@@ -48,5 +48,5 @@
 						<td background="<!--{$TPL_DIR}-->img/contents/main_left.jpg"><img src="<!--{$TPL_DIR}-->img/common/_.gif" width="14" height="1" alt=""></td>
 						<td bgcolor="#cccccc">
-						
+
 							<!--▼登録テーブルここから-->
 							<table width="678" border="0" cellspacing="0" cellpadding="0" summary=" ">
@@ -65,10 +65,11 @@
 									<td colspan="3"><img src="<!--{$TPL_DIR}-->img/contents/main_bar.jpg" width="678" height="10" alt=""></td>
 								</tr>
-							</table>	
-							
+							</table>
+
 							<table width="678" border="0" cellspacing="1" cellpadding="5" summary=" " bgcolor="#cccccc">
 								<tr bgcolor="#ffffff">
 									<!--▼画面左-->
 									<td width="250" valign="top" class="fs12">
+									<a href="#" onmouseover="chgImg('<!--{$TPL_DIR}-->img/contents/btn_csv_on.jpg','btn_csv');" onmouseout="chgImg('<!--{$TPL_DIR}-->img/contents/btn_csv.jpg','btn_csv');" onclick="fnModeSubmit('csv','','');" ><img src="<!--{$TPL_DIR}-->img/contents/btn_csv.jpg" width="99" height="22" alt="CSV DOWNLOAD" border="0" name="btn_csv" id="btn_csv"></a><br />
 									<a href="<!--{$smarty.server.PHP_SELF|escape}-->">▼ホーム</a><br>
 									<!--{section name=cnt loop=$arrTree}-->
@@ -83,5 +84,5 @@
 										<!--{* スペース繰り返し *}-->
 										<!--{section name=n loop=$level}-->　　<!--{/section}-->
-										
+
 										<!--{* カテゴリ名表示 *}-->
 										<!--{assign var=disp_name value="`$arrTree[cnt].category_id`.`$arrTree[cnt].category_name`"}-->
@@ -98,26 +99,26 @@
 											<!--{$disp_name|sfCutString:20|escape}--></a><br>
 										<!--{/if}-->
-										
+
 										<!--{if $arrTree[cnt].display == true}-->
 											<div id="f<!--{$arrTree[cnt].category_id}-->">
 										<!--{else}-->
 											<div id="f<!--{$arrTree[cnt].category_id}-->" style="display:none">
-										<!--{/if}-->						
-										
+										<!--{/if}-->
+
 										<!--{assign var=before_level value="`$arrTree[cnt].level`}-->
-									<!--{/section}-->				
-									
+									<!--{/section}-->
+
 									</td>
-									
-									<!--▼画面右-->				
+
+									<!--▼画面右-->
 									<td width="428" valign="top">
-									
+
 									<span class="red12"><!--{$arrErr.category_name}--></span>
 									<input type="text" name="category_name" value="<!--{$arrForm.category_name|escape}-->" size="30" class="box30" maxlength="<!--{$smarty.const.STEXT_LEN}-->"/>
 									<input type="submit" name="button" value="登録"/><span class="red10"> （上限<!--{$smarty.const.STEXT_LEN}-->文字）</span>
-									<table width="428" border="0" cellspacing="0" cellpadding="0" summary=" ">	
+									<table width="428" border="0" cellspacing="0" cellpadding="0" summary=" ">
 										<tr><td height="15"></td></tr>
 									</table>
-									
+
 									<!--{if count($arrList) > 0}-->
 									<table border="0" cellspacing="1" cellpadding="5" summary=" " bgcolor="#cccccc">
@@ -160,9 +161,9 @@
 										<!--{/section}-->
 									</table>
-					
+
 									<!--{else}-->
 									<table border="0" cellspacing="0" cellpadding="0" summary=" ">
 										<tr>
-											<td  class="fs12n">この階層には、カテゴリが登録されていません。</td>
+											<td class="fs12n">この階層には、カテゴリが登録されていません。</td>
 										</tr>
 									</table>
@@ -190,3 +191,3 @@
 </form>
 </table>
-<!--★★メインコンテンツ★★-->		
+<!--★★メインコンテンツ★★
Index: /branches/comu-ver2/data/class/pages/admin/products/LC_Page_Admin_Products_Category.php
===================================================================
--- /branches/comu-ver2/data/class/pages/admin/products/LC_Page_Admin_Products_Category.php	(revision 16741)
+++ /branches/comu-ver2/data/class/pages/admin/products/LC_Page_Admin_Products_Category.php	(revision 17156)
@@ -174,4 +174,27 @@
             break;
         case 'tree':
+            break;
+        case 'csv':
+            require_once(CLASS_EX_PATH . "helper_extends/SC_Helper_CSV_Ex.php");
+
+            $objCSV = new SC_Helper_CSV_Ex();
+            // オプションの指定
+            $option = "ORDER BY rank DESC";
+            // CSV出力タイトル行の作成
+            $arrOutput = SC_Utils_Ex::sfSwapArray($objCSV->sfgetCsvOutput(5, " WHERE csv_id = 5 AND status = 1"));
+
+            if (count($arrOutput) <= 0) break;
+
+            $arrOutputCols = $arrOutput['col'];
+            $arrOutputTitle = $arrOutput['disp_name'];
+
+            $head = SC_Utils_Ex::sfGetCSVList($arrOutputTitle);
+
+            $where = "del_flg = 0";
+            $data = $objCSV->lfGetCategoryCSV($where, $option, $arrval, $arrOutputCols);
+
+            // CSVを送信する。
+            SC_Utils_Ex::sfCSVDownload($head.$data, 'category');
+            exit;
             break;
         default:
Index: /branches/comu-ver2/data/class/helper/SC_Helper_CSV.php
===================================================================
--- /branches/comu-ver2/data/class/helper/SC_Helper_CSV.php	(revision 17155)
+++ /branches/comu-ver2/data/class/helper/SC_Helper_CSV.php	(revision 17156)
@@ -184,4 +184,25 @@
             // 各項目をCSV出力用に変換する。
             $data .= $this->lfMakeTrackbackCSV($list_data[$i]);
+        }
+        return $data;
+    }
+
+    // CSV出力データを作成する。(カテゴリ)
+    function lfGetCategoryCSV($where, $option, $arrval, $arrOutputCols) {
+        $objDb = new SC_Helper_DB_Ex();
+
+        $from = "dtb_category";
+        $cols = SC_Utils_Ex::sfGetCommaList($arrOutputCols);
+
+        $objQuery = new SC_Query();
+        $objQuery->setoption($option);
+
+        $list_data = $objQuery->select($cols, $from, $where, $arrval);
+        $max = count($list_data);
+
+        if (!isset($data)) $data = "";
+        for($i = 0; $i < $max; $i++) {
+            // 各項目をCSV出力用に変換する。
+            $data .= $this->lfMakeCSV($list_data[$i]);
         }
         return $data;
@@ -334,5 +355,6 @@
                                   2 => 'customer',
                                   3 => 'order',
-                                  4 => 'campaign'
+                                  4 => 'campaign',
+                                  5 => 'category'
                                   );
 
@@ -341,5 +363,6 @@
                                       2 => '顧客管理',
                                       3 => '受注管理',
-                                      4 => 'キャンペーン'
+                                      4 => 'キャンペーン',
+                                      5 => 'カテゴリ'
                                       );
 
Index: /branches/comu-ver2/html/install/sql/insert_data.sql
===================================================================
--- /branches/comu-ver2/html/install/sql/insert_data.sql	(revision 17153)
+++ /branches/comu-ver2/html/install/sql/insert_data.sql	(revision 17156)
@@ -222,4 +222,9 @@
 insert into dtb_csv(csv_id,col,disp_name,rank,create_date,update_date)values(4,'deliv_addr02','住所2',38,now(),now());
 insert into dtb_csv(csv_id,col,disp_name,rank,create_date,update_date)values(4,'payment_total','お支払い合計',39,now(),now());
+insert into dtb_csv(csv_id,col,disp_name,status)values(5,'category_id','カテゴリID',2);
+insert into dtb_csv(csv_id,col,disp_name,status)values(5,'category_name','カテゴリ名',2);
+insert into dtb_csv(csv_id,col,disp_name,status)values(5,'parent_category_id','親カテゴリID',2);
+insert into dtb_csv(csv_id,col,disp_name,status)values(5,'level','階層',2);
+insert into dtb_csv(csv_id,col,disp_name,status)values(5,'rank','表示ランク',2);
 
 INSERT INTO dtb_templates (template_code, template_name, create_date, update_date) VALUES('default','デフォルト', now(), now());